sakura_everdeen - 4 months ago

hello everyone..i'm newbie in laravel and also new in pyrocms.. i want to install pyrocms in my windows 10 but i have got many errors shown in my command prompt..anyone can help me how to install pyrocms for the beginners and not have much knowledge in programming and laravel. thank you.

b1gw0rm - 4 months ago

For Laravel development on Windows 10 I only use Laragon: https://laragon.org

"Super fast, easy-to-use, productive and powerful development environment for all. Laragon has an isolated environment with OS and offers everything you need to build modern web apps. It is portable and very flexible. You can move Laragon folder around (to another disks, to another laptops, sync to Cloud,...) and Laragon's magics are with you. Working Laragon will be a pleasure, as Apache + Nginx are fully-managed."

sakura_everdeen - 4 months ago

thank you for replying but @b1gw0rm i already use largon for laravel development. This time I had to do a project by using PYROCMS, and it's my first time heard about PYROCMS and in Laragon doesn't have PYROCMS. I'll try follow the link given by @william and if I had any problem, can I ask here again? I hope you guys will help the dummies beginner like me.

sakura_everdeen - 4 months ago

i get the problem when I Run Composer. This is the problem I got: 1) Your requirements could not be resolved to an installable set of packages. Problem 1

  • anomaly/streams-platform v1.3.10 requires teamtnt/laravel-scout-tntsearch-driver 3.0.* -> satisfiable by teamtnt/laravel-scout-tntsearch-driver[v3.0.0, v3.0.1, v3.0.2, v3.0.3, v3.0.4, v3.0.5, v3.0.6]. 2) php extension sqlite 3 missing in your system, 3) To enable extensions, verify that they are enabled in your .ini files:
  • C:\xampp\php\php.ini You can also run php --ini inside terminal to see which files are used by PHP in CLI mode. I cannot post the picture here, I already screenshot the problem in my cmd.

sakura_everdeen - 4 months ago

hi @wiilliam I already follow your blog about Install Pyrocms untill [Run the installer " php artisan install --ready" ]. and I got this error : " C:\xampp\htdocs\awesomeproject.local>php artisan install --ready PHP Warning: Module 'pdo_sqlite' already loaded in Unknown on line 0 Warning: Module 'pdo_sqlite' already loaded in Unknown on line 0 In ReloadEnvironmentFile.php line 20: file(C:\xampp\htdocs\awesomeproject.local.env): failed to open stream: No such file or directory"